import dynamix_sdk.base as _base


class CloudapiBserviceSnapshotCreateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceSnapshotCreateProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def snapshot_create(
        self,
        *,
        bservice_id: int,
        label: str,
    ) -> CloudapiBserviceSnapshotCreateResultBool:
        ...
